Issue 69564 - getString method cannot handle selections bigger than 64K
Summary: getString method cannot handle selections bigger than 64K
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: 680m182
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: chne
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-15 14:03 UTC by Oliver Specht
Modified: 2013-08-07 14:42 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Patch file (2.01 KB, text/plain)
2006-10-24 09:49 UTC, Oliver Specht
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Oliver Specht 2006-09-15 14:03:42 UTC
The problem seems to be in SwXTextCursor::getTextFromPam()
Comment 1 Oliver Specht 2006-09-15 14:04:11 UTC
Target set
Comment 2 Oliver Specht 2006-10-24 09:49:42 UTC
Created attachment 40015 [details]
Patch file
Comment 3 Oliver Specht 2006-10-24 09:52:11 UTC
Target changed to 2.2
Patch needs integration of OUString extension from issue 69553
Comment 4 Oliver Specht 2006-11-15 07:57:17 UTC
Fixed in cws os89 (without issue 69553 )
Comment 5 Oliver Specht 2006-11-17 13:46:26 UTC
This cannot be verified using Basic. Those strings are limited to 64K anyway.

->CN: Could you please verify this issue?
Comment 6 chne 2006-12-04 11:30:39 UTC
ok in os89

cn->cn: the UNO-API-Tests must be adopted. Therefore I submit an issue. But
issue i72251 makes it difficult.
Comment 7 chne 2007-02-02 14:35:38 UTC
ok in src680_m202